#ifndef MYDIALOG_H
#define MYDIALOG_H

#include <QtGui>
#include <QThread>

class MyDialog : public QDialog
{
   Q_OBJECT

   public:
      MyDialog( QWidget *parent = 0 );
   
   private:    
      QProgressBar *progressBar;
      QPushButton *bSimuler;
      QPushButton *bArreter;
      QPushButton *bQuitter;
      int steps;

      void perform(int steps);
      
   private slots:    
      void simuler();
      void arreter();
};

class GoToSleep : public QThread
{
   public:
      static void sleep(unsigned long secs)
      {
         QThread::sleep(secs);
      }
      static void msleep(unsigned long msecs)
      {
         QThread::msleep(msecs);
      }
      static void usleep(unsigned long usecs)
      {
         QThread::usleep(usecs);
      }
};

#endif
