#include "mythread.h"

MyThread::MyThread()
{
   leThread = NULL;
   stopped = false;
}

MyThread::~MyThread() 
{
   if (leThread != NULL) delete leThread;
}

void MyThread::start()
{
   if (leThread != NULL) delete leThread;
   leThread = new thread(boost::ref(*this));
}

void MyThread::operator()()
{ 
   char c1 = '#';

   stopped = false;
   cout << "\n";
   for(int i=1;(i<=100 && !stopped);i++)
   {
      write(1, &c1, 1);
      this_thread::sleep(posix_time::millisec(100)); // 100 ms
   }
   cout << "\n";
}

void MyThread::stop() 
{
   stopped = true;   
   if (leThread != NULL) leThread->join();      
}

void MyThread::join() 
{
   if (leThread != NULL) leThread->join();      
}