import java.lang.*;
import java.util.*;
import java.io.*;

/* Lire http://alwin.developpez.com/tutorial/JavaThread/ */

/*
 * javac MonMain.java 
 * java MonMain
 *
 */

class MonMain 
{
   public static void main(String[] args) 
   {
      boolean fini = false;
      BufferedReader clavier = new BufferedReader(new InputStreamReader(System.in));
      String choix = null;
      Thread myThread = null;

      try
      {
         while(!fini)
         {
            System.out.println("Simuler, Arrêter ou Quitter ? (s|a|q) ");
            choix = clavier.readLine();

            if (choix.compareTo("a") == 0)
            {
               if(myThread != null)
                  myThread.stop();
            }
            if (choix.compareTo("q") == 0)
            {
               if(myThread != null)
                  myThread.stop();
               fini = true;
            }
            if (choix.compareTo("s") == 0)
            {
               myThread = new MyThread();
               myThread.start();         
            }
         }      

         myThread.join();
      }
      catch (IOException e)
      {
         System.out.println("IOException !");
      }
      catch(InterruptedException e)
      {
         System.out.println("InterruptedException !");
      }
   }   
}

class MyThread extends Thread 
{
   public MyThread() 
   {
   }

   public void run() 
   {
      try
      {
         for(int i=1;i<=100;i++)
         {
            System.out.print("#");
            Thread.sleep(100); // 100 ms
         }
         System.out.println("");
      }
      catch(InterruptedException e)
      {
         System.out.println("InterruptedException !");
      }
   }
} 
